      Character*80 Function stringblank(A)
c
      character*(*) A
      character*80 B
c
#ifdef DEBUG_MODE_ON
      write(*,*) "DEBUG:  in stringblank.F::stringblank(...)"
#endif
      length =len(A)
      lstart = index(A,char(0))
      do i=1,80
         B(I:I) = ' '
      enddo
      do i=1,lstart-1
         B(I:I) = A(I:I)
      enddo
c
      stringblank = B
      return
      end
c
#if defined(IBM) || defined(AIX)
! On IBMs, lnblnk is len_trim
      integer function lnblnk(A)
      character*(*) A
      lnblnk = len_trim(A)
      return
      end
#endif

#ifdef T3E
      integer function lnblnk(A)
      character*(*) A
      lnblnk = trimlen(A)
      return
      end
#endif
